package net.sf.sql2java.common.store;

import java.util.HashMap;
import java.util.Map;

import net.sf.sql2java.generator.template.pack.TemplatePack;

public class PackStore {
	private Map<String, TemplatePack> packs = new HashMap<String, TemplatePack>();
	
// -- Constructors ------------------------------------------------------------
	
	public PackStore() {
		
	}
	
// -- Pack Map Manipulation ---------------------------------------------------
	
	public void addPack(TemplatePack pack) {
		packs.put(pack.getName(), pack);
	}
	
	public TemplatePack getPack(String name) {
		return packs.get(name);
	}
	
// -- Getters -----------------------------------------------------------------
	
	public Map<String, TemplatePack> getPacks() {
		return packs;
	}
	
// -- Setters -----------------------------------------------------------------
	
	public void setPacks(Map<String, TemplatePack> packs) {
		this.packs = packs;
	}
}
